Comment 22 for bug 401655

@ Peteris: I tested Lucid beta1 (with a desktop i386 live-cd) with the Huawei e1550 and can confirm that the modem only works if the usb-modeswitch package is installed.

I think that this is some sort of regression, because it works fine under karmic without installing any additional packages. If the bug still exists when Lucid is released, it willl probably annoy a lot of people, who wont be able to connect to the internet after an upgrad from 9.10 to 10.04.